Bug 554292 - recordMyDesktop is not compiled with Jack support
recordMyDesktop is not compiled with Jack support
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: recordmydesktop (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Sindre Pedersen Bjørdal
Fedora Extras Quality Assurance
Triaged
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-11 05:19 EST by Jeremy
Modified: 2010-03-05 22:47 EST (History)
2 users (show)

See Also:
Fixed In Version: recordmydesktop-0.3.8.1-4.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-15 17:08:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gtk-recordMyDesktop-crash.log file (357 bytes, application/octet-stream)
2010-01-11 05:19 EST, Jeremy
no flags Details

  None (edit)
Description Jeremy 2010-01-11 05:19:24 EST
Created attachment 382947 [details]
gtk-recordMyDesktop-crash.log file

Description of problem:
recordMyDesktop is not compiled with Jack support.

Version-Release number of selected component (if applicable):
recordMyDesktop v0.3.8.1
recordmydesktop.x86_64 0.3.8.1-1.fc11

How reproducible:
Start QjackCtl, then with gtk-recordMyDesktop select 'Use Jack for audio capture' and select the ports you want to use. Press 'Record' and you'll get a pop-up message:
Recording is finished.
recordMydeskTop has exited with status: 256
Description: error while parsing the arguments.

If I then check gtk-recordMyDesktop-crash.log:
#This is the command given at initialization:
recordmydesktop -o /home/jjongep1/Desktop/capturescreenright --fps 15 --no-sound --channels 1 --freq 22050 --device hw:0 --v_quality 63 --s_quality 10 --workdir /home/jjongep1 --use-jack system:playback_1 system:playback_2 

#recordMyDesktop stderror output:
recordMyDesktop is not compiled with Jack support!


Actual results: recordMyDesktop exits with an error message.


Expected results: recordMyDesktop should show up in the Connections window of QjackCtl and it should record sound via JACK.

Additional info:
ldd /usr/bin/recordmydesktop
	linux-vdso.so.1 =>  (0x00007fff3e5ff000)
	/usr/lib64/libXft-freeworld/libXft.so.2 (0x0000003975c00000)
	/usr/lib64/freetype-freeworld/libfreetype.so.6 (0x0000003975800000)
	/usr/lib64/cairo-freeworld/libcairo.so.2 (0x00000031daa00000)
	libSM.so.6 => /usr/lib64/libSM.so.6 (0x0000003b25800000)
	libICE.so.6 => /usr/lib64/libICE.so.6 (0x00000038dba00000)
	libasound.so.2 => /lib64/libasound.so.2 (0x00000031db600000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00000038d1600000)
	libtheora.so.0 => /usr/lib64/libtheora.so.0 (0x000000367f200000)
	libogg.so.0 => /usr/lib64/libogg.so.0 (0x0000003683600000)
	libvorbisenc.so.2 => /usr/lib64/libvorbisenc.so.2 (0x0000003684600000)
	libvorbisfile.so.3 => /usr/lib64/libvorbisfile.so.3 (0x0000003680e00000)
	libvorbis.so.0 => /usr/lib64/libvorbis.so.0 (0x0000003682200000)
	libXdamage.so.1 => /usr/lib64/libXdamage.so.1 (0x0000003222600000)
	libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x0000003221600000)
	libXext.so.6 => /usr/lib64/libXext.so.6 (0x00000031d5e00000)
	libX11.so.6 => /usr/lib64/libX11.so.6 (0x000000321e200000)
	libz.so.1 => /lib64/libz.so.1 (0x00000038d2200000)
	libm.so.6 => /lib64/libm.so.6 (0x00000038d1a00000)
	libc.so.6 => /lib64/libc.so.6 (0x00000038d0e00000)
	libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x0000003975400000)
	libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x000000321f600000)
	libpixman-1.so.0 => /usr/lib64/libpixman-1.so.0 (0x00000031d8200000)
	libpng12.so.0 => /usr/lib64/libpng12.so.0 (0x00000038d5200000)
	libuuid.so.1 => /lib64/libuuid.so.1 (0x0000003b25400000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00000038d1200000)
	librt.so.1 => /lib64/librt.so.1 (0x00000038d1e00000)
	/lib64/ld-linux-x86-64.so.2 (0x00000038d0800000)
	libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x000000321de00000)
	libexpat.so.1 => /lib64/libexpat.so.1 (0x000000321ea00000)
	libXau.so.6 => /usr/lib64/libXau.so.6 (0x00000038d2e00000)

So it doesn't depend on JACK and is probably not compiled against it.

Best,

Jeremy
Comment 2 Fedora Update System 2010-01-15 05:22:09 EST
recordmydesktop-0.3.8.1-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/recordmydesktop-0.3.8.1-4.fc12
Comment 3 Fedora Update System 2010-01-15 05:22:33 EST
recordmydesktop-0.3.8.1-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/recordmydesktop-0.3.8.1-4.fc11
Comment 4 Jeremy 2010-01-15 06:32:29 EST
Tested the update, works fine now! Thanks!

Best,

Jeremy
Comment 5 Fedora Update System 2010-01-15 17:08:14 EST
recordmydesktop-0.3.8.1-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2010-01-15 17:16:32 EST
recordmydesktop-0.3.8.1-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-03-01 20:06:42 EST
recordmydesktop-0.3.8.1-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-03-02 21:01:35 EST
recordmydesktop-0.3.8.1-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-03-03 19:21:06 EST
recordmydesktop-0.3.8.1-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-03-05 22:47:10 EST
recordmydesktop-0.3.8.1-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.